using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 商邀费用录入表
    /// </summary>
    [SugarTable("Grp_InvitationOfficialActivities")]
    public class Grp_InvitationOfficialActivities:EntityBase
    {
        /// <summary>
        /// 团组外键编号
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DiId { get; set; }

        /// <summary>
        /// 邀请方地区
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(225)")]
        public string InviterArea { get; set; }

        /// <summary>
        /// 邀请方
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(225)")]
        public string Inviter { get; set; }

        /// <summary>
        /// 邀请时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime InviteTime { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(225)")]
        public string Attachment { get; set; }

        /// <summary>
        /// 邀请费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal InviteCosts { get; set; }

        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Currency { get; set; }

        /// <summary>
        /// 快递费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal SendCost { get; set; }

        /// <summary>
        /// 公务标识
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsGoOfficaiaBussiness { get; set; }
    }
}
